#include "imageview.h"

ImageView::ImageView(QWidget *parent) : QLabel(parent) {}

void ImageView::mouseMoveEvent(QMouseEvent *ev) {
  /* this->x = ev->x();
   this->y = ev->y();
   // qDebug() << this->x << " " << this->getY();
   emit mousePosition(this->x, this->y);*/
}

void ImageView::mousePressEvent(QMouseEvent *ev) {
  // qDebug() << "Pressed" << ev->button();
  /*emit mousePressed(ev->button());
    this->x = ev->x();
    this->y = ev->y();
    qDebug() << this->x << " " << this->getY();
    emit mousePosition(this->x, this->y);*/
}

void ImageView::wheelEvent(QWheelEvent *ev) { emit wheelEvent(ev->delta()); }

void ImageView::resizeEvent(QResizeEvent *event) { emit resized(); }
